# TimeSub: A Time-varying Subdistribution Hazard Model with Neural Networks

[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
[![PyPI](https://img.shields.io/pypi/v/TimeSub)](https://pypi.org/project/TimeSub/)

A Python package for survival analysis with competing risks, integrating neural networks and statistical inference. Designed for modeling time-varying subdistribution hazards and performing hypothesis testing.

**Corresponding Paper**:  
*A Time-varying Subdistribution Hazard Model with Neural Network*  
*(Preprint link or DOI placeholder)*

---

## Features
- 🧠 **Neural Network Integration**: Flexible architectures for time-varying and non-time-varying subdistribution hazard modeling.
- ⚡ **Competing Risks Support**: Handles right-censored data with multiple event types.
- 📊 **Model Evaluation**: Compute time-dependent AUC and C-index for predictive performance.
- 🔬 **Hypothesis Testing**: Bootstrap-based structure and significance tests for model validation.
- 🚀 **GPU Acceleration**: PyTorch backend for efficient training on CUDA-enabled devices.

---

## Installation
```bash
pip install TimeSub

